XFcDgramSocket class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcDgramSocket Class Reference

Network socket datagram communication. More...

Inheritance diagram for XFcDgramSocket:

[legend]
Collaboration diagram for XFcDgramSocket:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT INT32 | open (const XFcAddress &aAddress)
| Opens connection.
XFCIMPORT INT32 | sendTo (const CHAR8 *aBuf, INT32 aLen, INT32 aFlags, const XFcAddress &aAddress)
| Sends bytes.
XFCIMPORT INT32 | recvFrom (CHAR8 *aBuf, INT32 aLen, INT32 aFlags, XFcAddress &aAddress)
| Receives data.
virtual XFCIMPORT | ~XFcDgramSocket ()
| Virtual destructor.

## Static Public Member Functions

XFCIMPORT XFcDgramSocket * | create ()
| Static constructor.

## Protected Member Functions

| XFcDgramSocket ()
| Protected constructor.
INT | init ()
| Initializes datagram socket.

## Detailed Description

Network socket datagram communication.

Its purpose is to give socket interface for datagram packets.

## Constructor & Destructor Documentation

XFcDgramSocket::XFcDgramSocket | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcDgramSocket::~XFcDgramSocket | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT XFcDgramSocket* XFcDgramSocket::create | ( |  | ) | `[static]`

Static constructor.

Returns:
  new object if successful, or NULL if unsuccessful.

INT XFcDgramSocket::init | ( |  | ) | `[protected]`

Initializes datagram socket.

Returns:
  1 if succesful, or 0 otherwise.

XFCIMPORT INT32 XFcDgramSocket::open | ( | const XFcAddress & | aAddress | ) |

Opens connection.

Parameters:

  aAddress | where to accept packets.

XFCIMPORT INT32 XFcDgramSocket::recvFrom | ( | CHAR8 * | aBuf,
|  | INT32 | aLen,
|  | INT32 | aFlags,
|  | XFcAddress & | aAddress
| ) |

Receives data.

Parameters:

  aBuf | buffer where data is received.
  aLen | length of buffer.
  aFlags | reserved, set to 0.
  aAddress | where data is received from.

Returns:
  length of received data if successful, or XFCNET_ERROR if unsuccessful.

XFCIMPORT INT32 XFcDgramSocket::sendTo | ( | const CHAR8 * | aBuf,
|  | INT32 | aLen,
|  | INT32 | aFlags,
|  | const XFcAddress & | aAddress
| ) |

Sends bytes.

Parameters:

  aBuf | data buffer.
  aLen | length of data buffer in bytes.
  aFlags | reserved, set to 0.
  aAddress | where to send data.

Returns:
  length of sent data if successful, or XFCNET_ERROR if unsuccessful.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch